> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/open-and-issuing-mining-rounds

> All current open and issuing mining rounds, if the request is empty;
passing contract IDs in the request can reduce the response data for
polling/client-cache-update efficiency.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/open-and-issuing-mining-rounds
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/open-and-issuing-mining-rounds:
    post:
      tags:
        - external
        - scan
      summary: POST /v0/open-and-issuing-mining-rounds
      description: |
        All current open and issuing mining rounds, if the request is empty;
        passing contract IDs in the request can reduce the response data for
        polling/client-cache-update efficiency.
      operationId: getOpenAndIssuingMiningRounds
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetOpenAndIssuingMiningRoundsRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOpenAndIssuingMiningRoundsResponse'
components:
  schemas:
    GetOpenAndIssuingMiningRoundsRequest:
      type: object
      required:
        - cached_open_mining_round_contract_ids
        - cached_issuing_round_contract_ids
      properties:
        cached_open_mining_round_contract_ids:
          description: |
            The contract IDs for `open_mining_rounds` in the response the caller
            knows about. If unsure, an empty array is fine; only a performance
            penalty is incurred.
          type: array
          items:
            $ref: '#/components/schemas/ContractId'
        cached_issuing_round_contract_ids:
          description: |
            The contract IDs for `issuing_mining_rounds` in the response the
            caller knows about. If unsure, an empty array is fine; only a
            performance penalty is incurred.
          type: array
          items:
            $ref: '#/components/schemas/ContractId'
    GetOpenAndIssuingMiningRoundsResponse:
      description: |
        Daml contracts of the templates `Splice.Round.OpenMiningRound` and
        `Splice.Round.IssuingMiningRound` representing rounds for which rewards
        can be registered or are currently being computed, respectively.
        Contract IDs in the input serve as input sets for the two
        `MaybeCachedContractWithStateMap`s as described for that structure for
        `open_mining_rounds` and `issuing_mining_rounds`.
      type: object
      required:
        - open_mining_rounds
        - issuing_mining_rounds
        - time_to_live_in_microseconds
      properties:
        time_to_live_in_microseconds:
          description: |
            Suggested cache TTL for the response; this should expire before the
            `opensAt` of any open rounds that may not be in this response yet.
          type: integer
        open_mining_rounds:
          $ref: '#/components/schemas/MaybeCachedContractWithStateMap'
        issuing_mining_rounds:
          $ref: '#/components/schemas/MaybeCachedContractWithStateMap'
    ContractId:
      type: string
    MaybeCachedContractWithStateMap:
      description: |
        Always created with respect to an input set of contract IDs. If an input
        contract ID is absent from the keys of this map, that contract should be
        considered removed by the caller; if present, `contract` may be empty,
        reflecting that the caller should already have the full contract data
        for that contract ID. Contracts not present in the input set will have
        full contract data. `domain_id` is always up-to-date; if undefined the
        contract is currently unassigned to a synchronizer, i.e. "in-flight".
      type: object
      additionalProperties:
        $ref: '#/components/schemas/MaybeCachedContractWithState'
    MaybeCachedContractWithState:
      type: object
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        domain_id:
          type: string
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at

````